library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity and_wordgate is
	 generic (width: integer := 8);
    Port ( input : in  STD_LOGIC_VECTOR (width-1 downto 0);
           output : out  STD_LOGIC_VECTOR (width-1 downto 0);
           active : in  STD_LOGIC);
end and_wordgate;

architecture Behavioral of and_wordgate is
begin
	gates: for i in width-1 downto 0 generate
		output(i) <= input(i) and active;
	end generate;

end Behavioral;

