	library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

library UNISIM;
use UNISIM.VComponents.all;

entity csa_with_wgate is
	generic (width: integer := 8 );
   port ( A : in   STD_LOGIC_VECTOR (width-1 downto 0);
          B : in   STD_LOGIC_VECTOR (width-1 downto 0);
          Cin : in   STD_LOGIC_VECTOR (width-1 downto 0);
          S : out  STD_LOGIC_VECTOR (width-1 downto 0);
          Cout : out  STD_LOGIC_VECTOR (width   downto 1);
			 active: in STD_LOGIC);
end CSA;

architecture arch_CSA of CSA is
component csa is
   generic (width: integer );
   port ( A : in   STD_LOGIC_VECTOR (width-1 downto 0);
          B : in   STD_LOGIC_VECTOR (width-1 downto 0);
          Cin : in   STD_LOGIC_VECTOR (width-1 downto 0);
          S : out  STD_LOGIC_VECTOR (width-1 downto 0);
          Cout : out  STD_LOGIC_VECTOR (width   downto 1));
end component csa;
component and_wordgate is
	generic (width: integer);
    Port ( input : in  STD_LOGIC_VECTOR (width-1 downto 0);
           output : out  STD_LOGIC_VECTOR (width-1 downto 0);
           active : in  STD_LOGIC);
end component
signal internal: STD_LOGIC_VECTOR (width-1 downto 0);
begin
	csa: csa generic map(width)
					port map(
	

end Behavioral;

