VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL sel_load_shift
        SIGNAL clock
        SIGNAL serial_in
        SIGNAL IN0
        SIGNAL IN1
        SIGNAL IN2
        SIGNAL IN3
        SIGNAL XLXN_175
        SIGNAL XLXN_174
        SIGNAL XLXN_173
        SIGNAL XLXN_172
        SIGNAL XLXN_171
        SIGNAL XLXN_170
        SIGNAL XLXN_169
        SIGNAL XLXN_166
        SIGNAL XLXN_165
        SIGNAL XLXN_164
        SIGNAL XLXN_162
        SIGNAL XLXN_161
        SIGNAL XLXN_160
        SIGNAL XLXN_159
        SIGNAL XLXN_156
        SIGNAL XLXN_155
        SIGNAL serial_out
        PORT Input sel_load_shift
        PORT Input clock
        PORT Input serial_in
        PORT Input IN0
        PORT Input IN1
        PORT Input IN2
        PORT Input IN3
        PORT Output serial_out
        BEGIN BLOCKDEF fd
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_67 inv
            PIN I sel_load_shift
            PIN O XLXN_172
        END BLOCK
        BEGIN BLOCK XLXI_50 and2
            PIN I0 IN3
            PIN I1 sel_load_shift
            PIN O XLXN_175
        END BLOCK
        BEGIN BLOCK XLXI_16 or2
            PIN I0 XLXN_173
            PIN I1 XLXN_175
            PIN O XLXN_174
        END BLOCK
        BEGIN BLOCK XLXI_49 and2
            PIN I0 IN0
            PIN I1 sel_load_shift
            PIN O XLXN_171
        END BLOCK
        BEGIN BLOCK XLXI_48 and2
            PIN I0 IN1
            PIN I1 sel_load_shift
            PIN O XLXN_170
        END BLOCK
        BEGIN BLOCK XLXI_18 or2
            PIN I0 XLXN_166
            PIN I1 XLXN_171
            PIN O XLXN_162
        END BLOCK
        BEGIN BLOCK XLXI_17 or2
            PIN I0 XLXN_165
            PIN I1 XLXN_170
            PIN O XLXN_161
        END BLOCK
        BEGIN BLOCK XLXI_15 or2
            PIN I0 XLXN_164
            PIN I1 XLXN_169
            PIN O XLXN_160
        END BLOCK
        BEGIN BLOCK XLXI_21 and2
            PIN I0 XLXN_155
            PIN I1 XLXN_172
            PIN O XLXN_164
        END BLOCK
        BEGIN BLOCK XLXI_13 fd
            PIN C clock
            PIN D XLXN_174
            PIN Q XLXN_155
        END BLOCK
        BEGIN BLOCK XLXI_66 and2
            PIN I0 XLXN_172
            PIN I1 serial_in
            PIN O XLXN_173
        END BLOCK
        BEGIN BLOCK XLXI_19 fd
            PIN C clock
            PIN D XLXN_162
            PIN Q serial_out
        END BLOCK
        BEGIN BLOCK XLXI_20 fd
            PIN C clock
            PIN D XLXN_161
            PIN Q XLXN_159
        END BLOCK
        BEGIN BLOCK XLXI_47 and2
            PIN I0 IN2
            PIN I1 sel_load_shift
            PIN O XLXN_169
        END BLOCK
        BEGIN BLOCK XLXI_14 fd
            PIN C clock
            PIN D XLXN_160
            PIN Q XLXN_156
        END BLOCK
        BEGIN BLOCK XLXI_24 and2
            PIN I0 XLXN_159
            PIN I1 XLXN_172
            PIN O XLXN_166
        END BLOCK
        BEGIN BLOCK XLXI_23 and2
            PIN I0 XLXN_156
            PIN I1 XLXN_172
            PIN O XLXN_165
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_67 336 496 R90
        INSTANCE XLXI_50 160 320 R90
        INSTANCE XLXI_16 128 592 R90
        INSTANCE XLXI_49 1408 320 R90
        INSTANCE XLXI_48 992 320 R90
        INSTANCE XLXI_18 1376 592 R90
        INSTANCE XLXI_17 960 592 R90
        INSTANCE XLXI_15 544 592 R90
        INSTANCE XLXI_21 592 848 R270
        INSTANCE XLXI_13 224 1200 R0
        INSTANCE XLXI_66 208 848 R270
        INSTANCE XLXI_19 1472 1200 R0
        INSTANCE XLXI_20 1056 1200 R0
        INSTANCE XLXI_47 576 320 R90
        INSTANCE XLXI_14 640 1200 R0
        INSTANCE XLXI_24 1440 848 R270
        INSTANCE XLXI_23 1008 848 R270
        BEGIN BRANCH sel_load_shift
            WIRE 272 160 288 160
            WIRE 288 160 288 320
            WIRE 288 160 368 160
            WIRE 368 160 704 160
            WIRE 704 160 1120 160
            WIRE 1120 160 1536 160
            WIRE 1536 160 1536 320
            WIRE 1120 160 1120 320
            WIRE 704 160 704 320
            WIRE 368 160 368 496
        END BRANCH
        BEGIN BRANCH clock
            WIRE 208 1168 224 1168
            WIRE 224 1168 640 1168
            WIRE 640 1168 1056 1168
            WIRE 1056 1168 1472 1168
            WIRE 224 1072 224 1168
            WIRE 640 1072 640 1168
            WIRE 1056 1072 1056 1168
            WIRE 1472 1072 1472 1168
        END BRANCH
        BEGIN BRANCH serial_in
            WIRE 80 848 80 880
        END BRANCH
        BEGIN BRANCH IN0
            WIRE 1472 288 1472 304
            WIRE 1472 304 1472 320
        END BRANCH
        BEGIN BRANCH IN1
            WIRE 1056 288 1056 320
        END BRANCH
        BEGIN BRANCH IN2
            WIRE 640 288 640 320
        END BRANCH
        BEGIN BRANCH IN3
            WIRE 224 288 224 320
        END BRANCH
        BEGIN BRANCH XLXN_175
            WIRE 256 576 256 592
        END BRANCH
        BEGIN BRANCH XLXN_174
            WIRE 224 848 224 944
        END BRANCH
        BEGIN BRANCH XLXN_173
            WIRE 112 592 192 592
        END BRANCH
        BEGIN BRANCH XLXN_172
            WIRE 144 848 144 864
            WIRE 144 864 368 864
            WIRE 368 864 464 864
            WIRE 464 864 880 864
            WIRE 880 864 1312 864
            WIRE 368 720 368 864
            WIRE 464 848 464 864
            WIRE 880 848 880 864
            WIRE 1312 848 1312 864
        END BRANCH
        BEGIN BRANCH XLXN_171
            WIRE 1504 576 1504 592
        END BRANCH
        BEGIN BRANCH XLXN_170
            WIRE 1088 576 1088 592
        END BRANCH
        BEGIN BRANCH XLXN_169
            WIRE 672 576 672 592
        END BRANCH
        BEGIN BRANCH XLXN_166
            WIRE 1344 592 1440 592
        END BRANCH
        BEGIN BRANCH XLXN_165
            WIRE 912 592 1024 592
        END BRANCH
        BEGIN BRANCH XLXN_164
            WIRE 496 592 608 592
        END BRANCH
        BEGIN BRANCH XLXN_162
            WIRE 1472 848 1472 944
        END BRANCH
        BEGIN BRANCH XLXN_161
            WIRE 1056 848 1056 944
        END BRANCH
        BEGIN BRANCH XLXN_160
            WIRE 640 848 640 944
        END BRANCH
        BEGIN BRANCH XLXN_159
            WIRE 1376 848 1440 848
            WIRE 1440 848 1440 944
        END BRANCH
        BEGIN BRANCH XLXN_156
            WIRE 944 848 960 848
            WIRE 960 848 1024 848
            WIRE 1024 848 1024 944
        END BRANCH
        BEGIN BRANCH XLXN_155
            WIRE 528 848 608 848
            WIRE 608 848 608 944
        END BRANCH
        IOMARKER 80 880 serial_in R90 28
        IOMARKER 1472 288 IN0 R270 28
        IOMARKER 1056 288 IN1 R270 28
        IOMARKER 640 288 IN2 R270 28
        IOMARKER 224 288 IN3 R270 28
        IOMARKER 208 1168 clock R180 28
        BEGIN BRANCH serial_out
            WIRE 1856 880 1856 944
        END BRANCH
        IOMARKER 1856 880 serial_out R270 28
        IOMARKER 272 160 sel_load_shift R180 28
    END SHEET
END SCHEMATIC
