VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_3
        SIGNAL XLXN_20
        SIGNAL clock
        SIGNAL sel_load_shift
        SIGNAL sin_top
        SIGNAL sout_top
        SIGNAL sin_bottom
        SIGNAL sout_bottom
        SIGNAL sseg1(7:0)
        SIGNAL sseg2(7:0)
        SIGNAL sseg1(5)
        SIGNAL sseg1(6)
        SIGNAL sseg1(0)
        SIGNAL sseg1(1)
        SIGNAL sseg2(7)
        SIGNAL sseg2(1)
        SIGNAL sseg2(0)
        SIGNAL sseg2(5)
        SIGNAL sseg1(4)
        SIGNAL sseg1(3)
        SIGNAL sseg1(2)
        SIGNAL sseg1(7)
        SIGNAL sseg2(4)
        SIGNAL sseg2(3)
        SIGNAL sseg2(6)
        SIGNAL sseg2(2)
        PORT Input clock
        PORT Input sel_load_shift
        PORT Input sin_top
        PORT Output sout_top
        PORT Input sin_bottom
        PORT Output sout_bottom
        PORT Input sseg1(7:0)
        PORT Input sseg2(7:0)
        BEGIN BLOCKDEF sr_4bit_pin_sout
            TIMESTAMP 2008 4 24 20 53 56
            RECTANGLE N 64 -448 320 0 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -416 384 -416 
        END BLOCKDEF
        BEGIN BLOCK XLXI_5 sr_4bit_pin_sout
            PIN sel_load_shift sel_load_shift
            PIN clock clock
            PIN serial_in sin_top
            PIN IN0 sseg1(1)
            PIN IN1 sseg1(0)
            PIN IN2 sseg1(6)
            PIN IN3 sseg1(5)
            PIN serial_out XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_6 sr_4bit_pin_sout
            PIN sel_load_shift sel_load_shift
            PIN clock clock
            PIN serial_in XLXN_3
            PIN IN0 sseg2(7)
            PIN IN1 sseg2(1)
            PIN IN2 sseg2(0)
            PIN IN3 sseg2(5)
            PIN serial_out sout_top
        END BLOCK
        BEGIN BLOCK XLXI_7 sr_4bit_pin_sout
            PIN sel_load_shift sel_load_shift
            PIN clock clock
            PIN serial_in sin_bottom
            PIN IN0 sseg2(4)
            PIN IN1 sseg2(3)
            PIN IN2 sseg2(6)
            PIN IN3 sseg2(2)
            PIN serial_out XLXN_20
        END BLOCK
        BEGIN BLOCK XLXI_8 sr_4bit_pin_sout
            PIN sel_load_shift sel_load_shift
            PIN clock clock
            PIN serial_in XLXN_20
            PIN IN0 sseg1(4)
            PIN IN1 sseg1(3)
            PIN IN2 sseg1(2)
            PIN IN3 sseg1(7)
            PIN serial_out sout_bottom
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 2688
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN INSTANCE XLXI_5 1136 784 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_6 1136 1328 R0
        END INSTANCE
        BEGIN BRANCH XLXN_3
            WIRE 1072 816 1072 1040
            WIRE 1072 1040 1136 1040
            WIRE 1072 816 1536 816
            WIRE 1520 368 1536 368
            WIRE 1536 368 1536 816
        END BRANCH
        BEGIN INSTANCE XLXI_7 1136 1888 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_8 1136 2448 R0
        END INSTANCE
        BEGIN BRANCH XLXN_20
            WIRE 1072 1936 1072 2160
            WIRE 1072 2160 1136 2160
            WIRE 1072 1936 1600 1936
            WIRE 1520 1472 1600 1472
            WIRE 1600 1472 1600 1936
        END BRANCH
        BEGIN BRANCH clock
            WIRE 1008 336 1008 432
            WIRE 1008 432 1008 976
            WIRE 1008 976 1008 1536
            WIRE 1008 1536 1136 1536
            WIRE 1008 1536 1008 2096
            WIRE 1008 2096 1136 2096
            WIRE 1008 976 1136 976
            WIRE 1008 432 1136 432
        END BRANCH
        BEGIN BRANCH sel_load_shift
            WIRE 944 336 944 368
            WIRE 944 368 944 912
            WIRE 944 912 944 1472
            WIRE 944 1472 944 2032
            WIRE 944 2032 1136 2032
            WIRE 944 1472 1136 1472
            WIRE 944 912 1136 912
            WIRE 944 368 1136 368
        END BRANCH
        BEGIN BRANCH sin_top
            WIRE 1104 496 1136 496
        END BRANCH
        BEGIN BRANCH sout_top
            WIRE 1520 912 1552 912
        END BRANCH
        BEGIN BRANCH sin_bottom
            WIRE 1104 1600 1136 1600
        END BRANCH
        BEGIN BRANCH sout_bottom
            WIRE 1520 2032 1552 2032
        END BRANCH
        IOMARKER 1104 496 sin_top R180 28
        IOMARKER 1552 912 sout_top R0 28
        IOMARKER 1104 1600 sin_bottom R180 28
        IOMARKER 1552 2032 sout_bottom R0 28
        IOMARKER 944 336 sel_load_shift R270 28
        IOMARKER 1008 336 clock R270 28
        BEGIN BRANCH sseg1(7:0)
            WIRE 448 288 448 384
            WIRE 448 384 448 560
            WIRE 448 560 448 624
            WIRE 448 624 448 688
            WIRE 448 688 448 752
            WIRE 448 752 448 2224
            WIRE 448 2224 448 2288
            WIRE 448 2288 448 2352
            WIRE 448 2352 448 2416
            WIRE 448 2416 448 2448
            BEGIN DISPLAY 448 384 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg2(7:0)
            WIRE 624 288 624 384
            WIRE 624 384 624 1104
            WIRE 624 1104 624 1168
            WIRE 624 1168 624 1232
            WIRE 624 1232 624 1296
            WIRE 624 1296 624 1664
            WIRE 624 1664 624 1728
            WIRE 624 1728 624 1792
            WIRE 624 1792 624 1856
            WIRE 624 1856 624 2448
            BEGIN DISPLAY 624 384 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 448 752 544 752
        BEGIN BRANCH sseg1(5)
            WIRE 544 752 768 752
            WIRE 768 752 1136 752
            BEGIN DISPLAY 768 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg1(6)
            WIRE 544 688 768 688
            WIRE 768 688 1136 688
            BEGIN DISPLAY 768 688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 448 688 544 688
        BEGIN BRANCH sseg1(0)
            WIRE 544 624 768 624
            WIRE 768 624 1136 624
            BEGIN DISPLAY 768 624 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg1(1)
            WIRE 544 560 768 560
            WIRE 768 560 1136 560
            BEGIN DISPLAY 768 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 448 560 544 560
        BUSTAP 448 624 544 624
        BUSTAP 624 1296 720 1296
        BUSTAP 624 1232 720 1232
        BUSTAP 624 1168 720 1168
        BUSTAP 624 1104 720 1104
        BEGIN BRANCH sseg2(7)
            WIRE 720 1104 768 1104
            WIRE 768 1104 1136 1104
            BEGIN DISPLAY 768 1104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg2(1)
            WIRE 720 1168 768 1168
            WIRE 768 1168 1136 1168
            BEGIN DISPLAY 768 1168 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg2(0)
            WIRE 720 1232 768 1232
            WIRE 768 1232 1136 1232
            BEGIN DISPLAY 768 1232 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg2(5)
            WIRE 720 1296 768 1296
            WIRE 768 1296 1136 1296
            BEGIN DISPLAY 768 1296 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 448 2224 544 2224
        BUSTAP 448 2288 544 2288
        BUSTAP 448 2352 544 2352
        BUSTAP 448 2416 544 2416
        BEGIN BRANCH sseg1(4)
            WIRE 544 2224 768 2224
            WIRE 768 2224 1136 2224
            BEGIN DISPLAY 768 2224 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg1(3)
            WIRE 544 2288 768 2288
            WIRE 768 2288 1136 2288
            BEGIN DISPLAY 768 2288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg1(2)
            WIRE 544 2352 768 2352
            WIRE 768 2352 1136 2352
            BEGIN DISPLAY 768 2352 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg1(7)
            WIRE 544 2416 768 2416
            WIRE 768 2416 1136 2416
            BEGIN DISPLAY 768 2416 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 624 1856 720 1856
        BUSTAP 624 1792 720 1792
        BUSTAP 624 1728 720 1728
        BUSTAP 624 1664 720 1664
        BEGIN BRANCH sseg2(4)
            WIRE 720 1664 768 1664
            WIRE 768 1664 1136 1664
            BEGIN DISPLAY 768 1664 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg2(3)
            WIRE 720 1728 736 1728
            WIRE 736 1728 768 1728
            WIRE 768 1728 1136 1728
            BEGIN DISPLAY 768 1728 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg2(6)
            WIRE 720 1792 768 1792
            WIRE 768 1792 1136 1792
            BEGIN DISPLAY 768 1792 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sseg2(2)
            WIRE 720 1856 768 1856
            WIRE 768 1856 1136 1856
            BEGIN DISPLAY 768 1856 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 448 288 sseg1(7:0) R270 28
        IOMARKER 624 288 sseg2(7:0) R270 28
    END SHEET
END SCHEMATIC
