VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_5
        SIGNAL XLXN_6
        SIGNAL XLXN_7
        SIGNAL clock
        SIGNAL XLXN_34
        SIGNAL cq(5)
        SIGNAL cq(7:0)
        SIGNAL cq(0)
        SIGNAL XLXN_42
        SIGNAL digit0_lsb(7:0)
        SIGNAL digit2(7:0)
        SIGNAL digit3(7:0)
        SIGNAL digit1(7:0)
        SIGNAL sck
        SIGNAL rck
        SIGNAL XLXN_61
        SIGNAL out_data
        SIGNAL XLXN_66
        SIGNAL XLXN_59h
        SIGNAL XLXN_67
        SIGNAL XLXN_68
        SIGNAL XLXN_70
        SIGNAL XLXN_71
        SIGNAL XLXN_72
        PORT Input clock
        PORT Input digit0_lsb(7:0)
        PORT Input digit2(7:0)
        PORT Input digit3(7:0)
        PORT Input digit1(7:0)
        PORT Output sck
        PORT Output rck
        PORT Output out_data
        BEGIN BLOCKDEF my_16seg_controller
            TIMESTAMP 2008 4 24 20 57 18
            RECTANGLE N 64 -384 352 0 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 352 -352 416 -352 
            LINE N 352 -32 416 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF cb8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -128 320 -128 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -192 320 -192 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 256 -96 192 -96 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
        END BLOCKDEF
        BEGIN BLOCK XLXI_4 my_16seg_controller
            PIN clock clock
            PIN sel_load_shift cq(5)
            PIN sin_top XLXN_7
            PIN sin_bottom XLXN_66
            PIN sseg1(7:0) digit3(7:0)
            PIN sseg2(7:0) digit2(7:0)
            PIN sout_top XLXN_6
            PIN sout_bottom XLXN_59h
        END BLOCK
        BEGIN BLOCK XLXI_6 gnd
            PIN G XLXN_7
        END BLOCK
        BEGIN BLOCK XLXI_13 cb8ce
            PIN C clock
            PIN CE XLXN_34
            PIN CLR XLXN_42
            PIN CEO
            PIN Q(7:0) cq(7:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_14 vcc
            PIN P XLXN_34
        END BLOCK
        BEGIN BLOCK XLXI_3 my_16seg_controller
            PIN clock clock
            PIN sel_load_shift cq(5)
            PIN sin_top XLXN_6
            PIN sin_bottom XLXN_5
            PIN sseg1(7:0) digit1(7:0)
            PIN sseg2(7:0) digit0_lsb(7:0)
            PIN sout_top XLXN_5
            PIN sout_bottom XLXN_66
        END BLOCK
        BEGIN BLOCK XLXI_18 and2
            PIN I0 cq(5)
            PIN I1 cq(0)
            PIN O XLXN_42
        END BLOCK
        BEGIN BLOCK XLXI_20 and2
            PIN I0 XLXN_71
            PIN I1 clock
            PIN O rck
        END BLOCK
        BEGIN BLOCK XLXI_19 and2b1
            PIN I0 XLXN_71
            PIN I1 clock
            PIN O sck
        END BLOCK
        BEGIN BLOCK XLXI_32 fd
            PIN C XLXN_61
            PIN D XLXN_59h
            PIN Q out_data
        END BLOCK
        BEGIN BLOCK XLXI_33 fd
            PIN C XLXN_61
            PIN D cq(5)
            PIN Q XLXN_71
        END BLOCK
        BEGIN BLOCK XLXI_34 inv
            PIN I clock
            PIN O XLXN_61
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1344 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH XLXN_5
            WIRE 464 48 1008 48
            WIRE 1008 48 1008 144
            WIRE 464 48 464 336
            WIRE 464 336 528 336
            WIRE 944 144 1008 144
        END BRANCH
        BEGIN BRANCH XLXN_6
            WIRE 512 272 528 272
            WIRE 512 272 512 560
            WIRE 512 560 1008 560
            WIRE 1008 560 1008 784
            WIRE 944 784 1008 784
        END BRANCH
        INSTANCE XLXI_13 160 1712 R0
        BEGIN BRANCH XLXN_34
            WIRE 128 1488 128 1520
            WIRE 128 1520 160 1520
        END BRANCH
        BEGIN INSTANCE XLXI_3 528 496 R0
        END INSTANCE
        BEGIN BRANCH cq(7:0)
            WIRE 544 1456 592 1456
            WIRE 592 1456 656 1456
            WIRE 656 1456 688 1456
            WIRE 688 1456 752 1456
            WIRE 752 1456 800 1456
            BEGIN DISPLAY 656 1456 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 688 1456 688 1552
        BUSTAP 752 1456 752 1552
        BEGIN BRANCH cq(5)
            WIRE 688 1552 688 1584
            WIRE 688 1584 688 1600
            BEGIN DISPLAY 688 1584 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH cq(0)
            WIRE 752 1552 752 1584
            WIRE 752 1584 752 1600
            BEGIN DISPLAY 752 1584 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_42
            WIRE 160 1680 160 1872
            WIRE 160 1872 720 1872
            WIRE 720 1856 720 1872
        END BRANCH
        INSTANCE XLXI_18 624 1600 R90
        BUSTAP 592 1456 592 1360
        IOMARKER 256 144 clock R180 28
        BEGIN BRANCH digit0_lsb(7:0)
            WIRE 240 464 528 464
        END BRANCH
        BEGIN BRANCH digit3(7:0)
            WIRE 240 272 336 272
            WIRE 336 272 336 1040
            WIRE 336 1040 528 1040
        END BRANCH
        BEGIN BRANCH XLXN_7
            WIRE 512 912 528 912
        END BRANCH
        INSTANCE XLXI_6 384 848 R90
        IOMARKER 240 272 digit3(7:0) R180 28
        IOMARKER 240 336 digit2(7:0) R180 28
        IOMARKER 240 400 digit1(7:0) R180 28
        IOMARKER 240 464 digit0_lsb(7:0) R180 28
        BEGIN BRANCH digit1(7:0)
            WIRE 240 400 528 400
        END BRANCH
        INSTANCE XLXI_14 64 1488 R0
        INSTANCE XLXI_20 944 1904 R0
        BEGIN BRANCH sck
            WIRE 1200 1696 1216 1696
        END BRANCH
        BEGIN BRANCH rck
            WIRE 1200 1808 1216 1808
        END BRANCH
        IOMARKER 1216 1808 rck R0 28
        BEGIN BRANCH XLXN_61
            WIRE 144 976 144 1168
            WIRE 144 1168 1216 1168
            WIRE 1216 1168 1216 1216
            WIRE 1216 976 1216 1168
        END BRANCH
        BEGIN BRANCH out_data
            WIRE 1088 560 1088 592
        END BRANCH
        IOMARKER 1088 560 out_data R270 28
        BEGIN BRANCH digit2(7:0)
            WIRE 240 336 352 336
            WIRE 352 336 352 1104
            WIRE 352 1104 528 1104
        END BRANCH
        BEGIN BRANCH clock
            WIRE 96 1328 96 1584
            WIRE 96 1584 160 1584
            WIRE 96 1328 320 1328
            WIRE 144 688 144 752
            WIRE 144 688 240 688
            WIRE 240 688 240 752
            WIRE 240 752 320 752
            WIRE 320 752 320 1248
            WIRE 320 1248 320 1328
            WIRE 320 1248 848 1248
            WIRE 848 1248 848 1296
            WIRE 848 1296 848 1776
            WIRE 848 1776 944 1776
            WIRE 848 1296 896 1296
            WIRE 896 1296 896 1664
            WIRE 896 1664 944 1664
            WIRE 256 144 320 144
            WIRE 320 144 432 144
            WIRE 432 144 528 144
            WIRE 432 144 432 784
            WIRE 432 784 528 784
            WIRE 320 144 320 752
        END BRANCH
        BEGIN INSTANCE XLXI_4 528 1136 R0
        END INSTANCE
        BEGIN BRANCH XLXN_66
            WIRE 464 976 528 976
            WIRE 464 976 464 1232
            WIRE 464 1232 992 1232
            WIRE 944 464 992 464
            WIRE 992 464 992 1232
        END BRANCH
        BEGIN BRANCH XLXN_59h
            WIRE 944 1104 1088 1104
            WIRE 1088 976 1088 992
            WIRE 1088 992 1088 1104
        END BRANCH
        INSTANCE XLXI_32 1344 976 R270
        IOMARKER 1216 1696 sck R0 28
        INSTANCE XLXI_33 1344 1216 M90
        INSTANCE XLXI_34 176 752 M90
        INSTANCE XLXI_19 944 1792 R0
        BEGIN BRANCH cq(5)
            WIRE 368 208 528 208
            WIRE 368 208 368 848
            WIRE 368 848 528 848
            WIRE 368 848 368 1200
            WIRE 368 1200 592 1200
            WIRE 592 1200 592 1344
            WIRE 592 1344 592 1360
            WIRE 592 1200 1088 1200
            WIRE 1088 1200 1088 1216
            BEGIN DISPLAY 592 1344 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_71
            WIRE 928 1616 928 1728
            WIRE 928 1728 944 1728
            WIRE 928 1728 928 1840
            WIRE 928 1840 944 1840
            WIRE 928 1616 1088 1616
            WIRE 1088 1600 1088 1616
        END BRANCH
    END SHEET
END SCHEMATIC
