VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL clockcounter(15:0)
        SIGNAL digit0_lsb(7:0)
        SIGNAL digit2(7:0)
        SIGNAL digit3(7:0)
        SIGNAL digit1(7:0)
        SIGNAL XLXN_6
        SIGNAL clockcounter(12)
        SIGNAL fastclock
        SIGNAL XLXN_10
        SIGNAL XLXN_11
        SIGNAL data_out
        SIGNAL sck
        SIGNAL rck
        PORT Input digit0_lsb(7:0)
        PORT Input digit2(7:0)
        PORT Input digit3(7:0)
        PORT Input digit1(7:0)
        PORT Input fastclock
        PORT Output data_out
        PORT Output sck
        PORT Output rck
        BEGIN BLOCKDEF my_4digit_controller
            TIMESTAMP 2008 4 24 21 18 22
            LINE N 320 32 384 32 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
            RECTANGLE N 64 -320 320 64 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF cb16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 my_4digit_controller
            PIN clock XLXN_6
            PIN digit0_lsb(7:0) digit0_lsb(7:0)
            PIN digit2(7:0) digit2(7:0)
            PIN digit3(7:0) digit3(7:0)
            PIN digit1(7:0) digit1(7:0)
            PIN sck sck
            PIN rck rck
            PIN out_data data_out
        END BLOCK
        BEGIN BLOCK XLXI_2 bufg
            PIN I clockcounter(12)
            PIN O XLXN_6
        END BLOCK
        BEGIN BLOCK XLXI_3 cb16ce
            PIN C fastclock
            PIN CE XLXN_10
            PIN CLR XLXN_11
            PIN CEO
            PIN Q(15:0) clockcounter(15:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_4 vcc
            PIN P XLXN_10
        END BLOCK
        BEGIN BLOCK XLXI_5 gnd
            PIN G XLXN_11
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN INSTANCE XLXI_1 1104 848 R0
        END INSTANCE
        INSTANCE XLXI_3 288 672 R0
        BEGIN BRANCH clockcounter(15:0)
            WIRE 672 416 752 416
            WIRE 752 416 832 416
            WIRE 832 416 1008 416
            BEGIN DISPLAY 832 416 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH digit0_lsb(7:0)
            WIRE 1072 624 1104 624
        END BRANCH
        IOMARKER 1072 624 digit0_lsb(7:0) R180 28
        BEGIN BRANCH digit2(7:0)
            WIRE 1072 688 1104 688
        END BRANCH
        IOMARKER 1072 688 digit2(7:0) R180 28
        BEGIN BRANCH digit3(7:0)
            WIRE 1072 752 1104 752
        END BRANCH
        IOMARKER 1072 752 digit3(7:0) R180 28
        BEGIN BRANCH digit1(7:0)
            WIRE 1072 816 1104 816
        END BRANCH
        IOMARKER 1072 816 digit1(7:0) R180 28
        BEGIN BRANCH XLXN_6
            WIRE 1072 560 1104 560
        END BRANCH
        BUSTAP 752 416 752 512
        BEGIN BRANCH clockcounter(12)
            WIRE 752 512 752 560
            WIRE 752 560 848 560
            BEGIN DISPLAY 752 560 ATTR Name
                ALIGNMENT SOFT-TCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_2 848 592 R0
        BEGIN BRANCH fastclock
            WIRE 176 544 256 544
            WIRE 256 544 288 544
            BEGIN DISPLAY 256 544 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_4 176 400 R0
        INSTANCE XLXI_5 80 576 R90
        BEGIN BRANCH XLXN_10
            WIRE 240 400 240 480
            WIRE 240 480 288 480
        END BRANCH
        BEGIN BRANCH XLXN_11
            WIRE 208 640 288 640
        END BRANCH
        BEGIN BRANCH data_out
            WIRE 1488 880 1536 880
            WIRE 1536 880 1664 880
            BEGIN DISPLAY 1536 880 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sck
            WIRE 1488 688 1552 688
            WIRE 1552 688 1712 688
            BEGIN DISPLAY 1552 688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH rck
            WIRE 1488 816 1552 816
            WIRE 1552 816 1712 816
            BEGIN DISPLAY 1552 816 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1712 688 sck R0 28
        IOMARKER 1712 816 rck R0 28
        IOMARKER 176 544 fastclock R180 28
        IOMARKER 1664 880 data_out R0 28
    END SHEET
END SCHEMATIC
